Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in xen
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in xen
ID: SUSE-SU-2019:1248-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Server Applications 15
Datum: Mi, 15. Mai 2019, 07:31
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12126
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11091
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12130
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12127
Applikationen: Xen

Originalnachricht


SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: SUSE-SU-2019:1248-1
Rating: important
References: #1027519 #1079730 #1098403 #1111025 #1111331
#1120067 #1120095
Cross-References: CVE-2018-12126 CVE-2018-12127 CVE-2018-12130
CVE-2019-11091
Affected Products:
SUSE Linux Enterprise Module for Server Applications 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that solves four vulnerabilities and has three
fixes is now available.

Description:

This update for xen fixes the following issues:

Four new speculative execution information leak issues have been
identified in Intel CPUs. (bsc#1111331)

- CVE-2018-12126: Microarchitectural Store Buffer Data Sampling (MSBDS)
- CVE-2018-12127: Microarchitectural Fill Buffer Data Sampling (MFBDS)
- CVE-2018-12130: Microarchitectural Load Port Data Samling (MLPDS)
- CVE-2019-11091: Microarchitectural Data Sampling Uncacheable Memory
(MDSUM)

These updates contain the XEN Hypervisor adjustments, that additionaly
also use CPU Microcode updates.

The mitigation can be controlled via the "mds" commandline option,
see the
documentation.

For more information on this set of vulnerabilities, check out
https://www.suse.com/support/kb/doc/?id=7023736

Other fixes:

- Added code to change LIBXL_HOTPLUG_TIMEOUT at runtime.

The included README has details about the impact of this change
(bsc#1120095)

- Fixes in Live migrating PV domUs

An earlier change broke live migration of PV domUs without a device
model. The migration would stall for 10 seconds while the domU was paused,
which caused network connections to drop. Fix this by tracking the need
for a device model within libxl. (bsc#1079730, bsc#1098403, bsc#1111025)

- Libvirt segfault when crash triggered on top of HVM guest (bsc#1120067)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Server Applications 15:

zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-1248=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-1248=1



Package List:

- SUSE Linux Enterprise Module for Server Applications 15 (x86_64):

xen-4.10.3_04-3.19.1
xen-debugsource-4.10.3_04-3.19.1
xen-devel-4.10.3_04-3.19.1
xen-tools-4.10.3_04-3.19.1
xen-tools-debuginfo-4.10.3_04-3.19.1

- SUSE Linux Enterprise Module for Basesystem 15 (x86_64):

xen-debugsource-4.10.3_04-3.19.1
xen-libs-4.10.3_04-3.19.1
xen-libs-debuginfo-4.10.3_04-3.19.1
xen-tools-domU-4.10.3_04-3.19.1
xen-tools-domU-debuginfo-4.10.3_04-3.19.1


References:

https://www.suse.com/security/cve/CVE-2018-12126.html
https://www.suse.com/security/cve/CVE-2018-12127.html
https://www.suse.com/security/cve/CVE-2018-12130.html
https://www.suse.com/security/cve/CVE-2019-11091.html
https://bugzilla.suse.com/1027519
https://bugzilla.suse.com/1079730
https://bugzilla.suse.com/1098403
https://bugzilla.suse.com/1111025
https://bugzilla.suse.com/1111331
https://bugzilla.suse.com/1120067
https://bugzilla.suse.com/1120095

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung